Bug 1156560 - [rfe] use dnf instead of yum
Summary: [rfe] use dnf instead of yum
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: retrace-server
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Kutlak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1156491
TreeView+ depends on / blocked
 
Reported: 2014-10-24 16:34 UTC by Rahul Sundaram
Modified: 2018-09-21 05:21 UTC (History)
4 users (show)

Fixed In Version: retrace-server-1.19.0-1.fc29
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-21 05:21:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Rahul Sundaram 2014-10-24 16:34:52 UTC
Description of problem:


Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

Please switch from yum/yum-utils to dnf/dnf-plugins-core. Thanks!

Comment 1 Jaroslav Mracek 2016-01-06 16:19:39 UTC
Please could you confirm, that the last version is fully compatible with dnf. If yes, than please close the bug report. Thank you very much.

Comment 2 Jakub Filak 2016-01-07 07:07:34 UTC
No, I cannot confirm that. retrace-server must be compatible with rhel-6. retrace-server is not a core component, so I don't see a strong reason to switch from yum to dnf.

Comment 3 Jaroslav Mracek 2016-04-06 09:17:56 UTC
I create a pullreques (https://github.com/abrt/retrace-server/pull/97) that should help with yum-to-dnf conversion.

Comment 4 Martin Kutlak 2018-08-28 10:56:47 UTC
Upstream PR implementing the change from YUM to DNF:
https://github.com/abrt/retrace-server/pull/218

Comment 5 Fedora Update System 2018-08-28 10:59:17 UTC
retrace-server-1.19.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-541820f9d8

Comment 6 Fedora Update System 2018-08-29 19:03:00 UTC
retrace-server-1.19.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-541820f9d8

Comment 7 Fedora Update System 2018-08-29 23:12:34 UTC
retrace-server-1.19.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-541820f9d8

Comment 8 Fedora Update System 2018-09-21 05:21:24 UTC
retrace-server-1.19.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.